diff --git a/src/common/iop_profile.c b/src/common/iop_profile.c
index 9e0ee9e0b85..c2f6c55c646 100644
--- a/src/common/iop_profile.c
+++ b/src/common/iop_profile.c
@@ -752,6 +752,11 @@ dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_work_profile_info(struct dt_de
 {
   dt_iop_order_iccprofile_info_t *profile_info = dt_ioppr_add_profile_info_to_list(dev, type, filename, intent);
 
+  if(profile_info)
+  {
+    fprintf(stdout, "WORK : matrix_in : %f, matrix_out : %f \n", profile_info->matrix_in[0], profile_info->matrix_out[0]);
+  }
+
   if(profile_info == NULL || isnan(profile_info->matrix_in[0]) || isnan(profile_info->matrix_out[0]))
   {
     fprintf(stderr, "[dt_ioppr_set_pipe_work_profile_info] unsupported working profile %i %s, it will be replaced with linear rec2020\n", type, filename);
@@ -763,33 +768,28 @@ dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_work_profile_info(struct dt_de
 }
 
 dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_input_profile_info(struct dt_develop_t *dev, struct dt_dev_pixelpipe_t *pipe,
-    const int type, const char *filename, const int intent, const float matrix_in[9],
-    const float *lut_1, const float *lut_2, const float *lut_3, const size_t lut_size, const int nonlinearlut,
-    const float unbounded_coeffs[3][3])
+    const int type, const char *filename, const int intent, const float matrix_in[9])
 {
   dt_iop_order_iccprofile_info_t *profile_info = dt_ioppr_add_profile_info_to_list(dev, type, filename, intent);
 
-  /* Write input matrice */
-  memcpy(profile_info->matrix_in, matrix_in, sizeof(profile_info->matrix_in));
-  /* Inverse input matrice and write output */
-  mat3inv_float(profile_info->matrix_out, profile_info->matrix_in);
-
-  /* Write LUTs */
-  profile_info->lutsize = lut_size;
-
-  for(size_t c = 0; c > 3; c++)
+  if(profile_info)
   {
-    free(profile_info->lut_in[c]);
-    profile_info->lut_in[c] = dt_alloc_sse_ps(lut_size);
+    fprintf(stdout, "INPUT INIT : matrix_in : %f, matrix_out : %f \n", profile_info->matrix_in[0], profile_info->matrix_out[0]);
   }
 
-  memcpy(profile_info->lut_in[0], lut_1, sizeof(float) * lut_size);
-  memcpy(profile_info->lut_in[1], lut_2, sizeof(float) * lut_size);
-  memcpy(profile_info->lut_in[2], lut_2, sizeof(float) * lut_size);
-  profile_info->nonlinearlut = nonlinearlut;
+  if(isnan(profile_info->matrix_in[0]) || isnan(profile_info->matrix_out[0]))
+  {
+    /* We have a camera input matrix, these are not generated from files but in colorin,
+    * so we need to fetch and replace them from somewhere.
+    */
+    memcpy(profile_info->matrix_in, matrix_in, sizeof(profile_info->matrix_in));
+    mat3inv_float(profile_info->matrix_out, profile_info->matrix_in);
+  }
 
-  // Extrapolation coeffs
-  memcpy(profile_info->unbounded_coeffs_in, unbounded_coeffs, sizeof(profile_info->unbounded_coeffs_in));
+  if(profile_info)
+  {
+    fprintf(stdout, "INPUT CORRECT : matrix_in : %f, matrix_out : %f \n", profile_info->matrix_in[0], profile_info->matrix_out[0]);
+  }
 
   if(profile_info == NULL || isnan(profile_info->matrix_in[0]) || isnan(profile_info->matrix_out[0]))
   {
@@ -805,36 +805,15 @@ dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_input_profile_info(struct dt_d
 }
 
 dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_output_profile_info(struct dt_develop_t *dev, struct dt_dev_pixelpipe_t *pipe,
-    const int type, const char *filename, const int intent, const float matrix_in[9],
-    const float *lut_1, const float *lut_2, const float *lut_3, const size_t lut_size,
-    const float unbounded_coeffs[3][3])
+    const int type, const char *filename, const int intent)
 {
   dt_iop_order_iccprofile_info_t *profile_info = dt_ioppr_add_profile_info_to_list(dev, type, filename, intent);
 
-  /* Write input matrice */
-  memcpy(profile_info->matrix_out, matrix_in, sizeof(profile_info->matrix_out));
-  /* Inverse input matrice and write output */
-  mat3inv_float(profile_info->matrix_in, profile_info->matrix_out);
-
-  /* Write LUTs */
-  profile_info->lutsize = lut_size;
-
-  for(size_t c = 0; c > 3; c++)
+  if(profile_info)
   {
-    free(profile_info->lut_in[c]);
-    profile_info->lut_in[c] = dt_alloc_sse_ps(lut_size);
+    fprintf(stdout, "OUTPUT : matrix_in : %f, matrix_out : %f \n", profile_info->matrix_in[0], profile_info->matrix_out[0]);
   }
 
-  memcpy(profile_info->lut_in[0], lut_1, sizeof(float) * lut_size);
-  memcpy(profile_info->lut_in[1], lut_2, sizeof(float) * lut_size);
-  memcpy(profile_info->lut_in[2], lut_2, sizeof(float) * lut_size);
-
-  // The LUT is always non-linear at output since we have a gamma/TRC/OETF
-  profile_info->nonlinearlut = 2;
-
-  // Extrapolation coeffs
-  memcpy(profile_info->unbounded_coeffs_in, unbounded_coeffs, sizeof(profile_info->unbounded_coeffs_in));
-
   if(profile_info == NULL || isnan(profile_info->matrix_in[0]) || isnan(profile_info->matrix_out[0]))
   {
     fprintf(stderr,
diff --git a/src/common/iop_profile.h b/src/common/iop_profile.h
index 6a39b8b8ac1..59a75e0799c 100644
--- a/src/common/iop_profile.h
+++ b/src/common/iop_profile.h
@@ -87,39 +87,18 @@ dt_iop_order_iccprofile_info_t *dt_ioppr_get_iop_input_profile_info(struct dt_io
  * if matrix cannot be generated it default to linear rec 2020
  * returns the actual profile that has been set
  */
-dt_iop_order_iccprofile_info_t *
-dt_ioppr_set_pipe_work_profile_info(struct dt_develop_t *dev,
-                                    struct dt_dev_pixelpipe_t *pipe,
-                                    const dt_colorspaces_color_profile_type_t type,
-                                    const char *filename,
-                                    const int intent);
-
-dt_iop_order_iccprofile_info_t *
-dt_ioppr_set_pipe_input_profile_info(struct dt_develop_t *dev,
-                                     struct dt_dev_pixelpipe_t *pipe,
-                                     const dt_colorspaces_color_profile_type_t type,
-                                     const char *filename,
-                                     const int intent,
-                                     const float matrix_in[9],
-                                     const float *lut_1,
-                                     const float *lut_2,
-                                     const float *lut_3,
-                                     const size_t lut_size,
-                                     const int nonlinearlut,
-                                     const float unbounded_coeffs[3][3]);
-
-dt_iop_order_iccprofile_info_t *
-dt_ioppr_set_pipe_output_profile_info(struct dt_develop_t *dev,
-                                      struct dt_dev_pixelpipe_t *pipe,
-                                      const dt_colorspaces_color_profile_type_t type,
-                                      const char *filename,
-                                      const int intent,
-                                      const float matrix_in[9],
-                                      const float *lut_1,
-                                      const float *lut_2,
-                                      const float *lut_3,
-                                      const size_t lut_size,
-                                      const float unbounded_coeffs[3][3]);
+dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_work_profile_info(struct dt_develop_t *dev, struct dt_dev_pixelpipe_t *pipe,
+    const int type, const char *filename, const int intent);
+
+dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_input_profile_info(struct dt_develop_t *dev,
+                                                                     struct dt_dev_pixelpipe_t *pipe,
+                                                                     const int type, const char *filename,
+                                                                     const int intent, const float matrix_in[9]);
+
+dt_iop_order_iccprofile_info_t *dt_ioppr_set_pipe_output_profile_info(struct dt_develop_t *dev,
+                                                                      struct dt_dev_pixelpipe_t *pipe,
+                                                                      const int type, const char *filename,
+                                                                      const int intent);
 
 /** returns a reference to the histogram profile info
  * histogram profile must not be cleanup()
diff --git a/src/iop/colorin.c b/src/iop/colorin.c
index 90f26036f64..08085b90d17 100644
--- a/src/iop/colorin.c
+++ b/src/iop/colorin.c
@@ -1725,9 +1725,7 @@ void commit_params(struct dt_iop_module_t *self, dt_iop_params_t *p1, dt_dev_pix
 
   // commit color profiles to pipeline
   dt_ioppr_set_pipe_work_profile_info(self->dev, piece->pipe, d->type_work, d->filename_work, DT_INTENT_PERCEPTUAL);
-  dt_ioppr_set_pipe_input_profile_info(self->dev, piece->pipe, d->type, d->filename, p->intent,
-    d->cmatrix, d->lut[0], d->lut[1], d->lut[2], LUT_SAMPLES, d->nonlinearlut,
-    d->unbounded_coeffs);
+  dt_ioppr_set_pipe_input_profile_info(self->dev, piece->pipe, d->type, d->filename, p->intent, d->cmatrix);
 }
 
 void init_pipe(struct dt_iop_module_t *self, dt_dev_pixelpipe_t *pipe, dt_dev_pixelpipe_iop_t *piece)
diff --git a/src/iop/colorout.c b/src/iop/colorout.c
index b7c518ff192..5524df26dd8 100644
--- a/src/iop/colorout.c
+++ b/src/iop/colorout.c
@@ -756,9 +756,7 @@ void commit_params(struct dt_iop_module_t *self, dt_iop_params_t *p1, dt_dev_pix
   // softproof is never the original but always a copy that went through _make_clipping_profile()
   dt_colorspaces_cleanup_profile(softproof);
 
-  dt_ioppr_set_pipe_output_profile_info(self->dev, piece->pipe, d->type, out_filename, p->intent,
-    d->cmatrix, d->lut[0], d->lut[1], d->lut[2], LUT_SAMPLES, d->unbounded_coeffs);
-
+  dt_ioppr_set_pipe_output_profile_info(self->dev, piece->pipe, d->type, out_filename, p->intent);
 }
 
 void init_pipe(struct dt_iop_module_t *self, dt_dev_pixelpipe_t *pipe, dt_dev_pixelpipe_iop_t *piece)
